import request from '@/utils/request'

// 查询检查记录列表
export function listRecords(query) {
  return request({
    url: '/mudu/records/list',
    method: 'get',
    params: query
  })
}

// 查询检查记录详细
export function getRecords(id) {
  return request({
    url: '/mudu/records/' + id,
    method: 'get'
  })
}

// 新增检查记录
export function addRecords(data) {
  return request({
    url: '/mudu/records',
    method: 'post',
    data: data
  })
}

// 修改检查记录
export function updateRecords(data) {
  return request({
    url: '/mudu/records',
    method: 'put',
    data: data
  })
}

// 删除检查记录
export function delRecords(id) {
  return request({
    url: '/mudu/records/' + id,
    method: 'delete'
  })

}

